## org.exist.dom
Class NodeListImpl

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  org.exist.dom.NodeListImpl

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, org.w3c.dom.NodeList, java.util.RandomAccess, java.io.Serializable

public class NodeListImpl
extends java.util.ArrayList
implements org.w3c.dom.NodeList

See Also:
  Serialized Form

Constructor Summary
`NodeListImpl()`
`NodeListImpl(int initialCapacity)`

Method Summary
`void` `add(org.w3c.dom.Node node)`
`void` `addAll(org.w3c.dom.NodeList other)`
`int` `getLength()`
`org.w3c.dom.Node` `item(int pos)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### NodeListImpl

    public NodeListImpl()

### NodeListImpl

    public NodeListImpl(int initialCapacity)

Method Detail

### add

    public void add(org.w3c.dom.Node node)

### addAll

    public void addAll(org.w3c.dom.NodeList other)

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.w3c.dom.NodeList`

### item

    public org.w3c.dom.Node item(int pos)

  Specified by:
    `item` in interface `org.w3c.dom.NodeList`

Copyright (C) Wolfgang Meier. All rights reserved.